## org.apache.fop.datatypes
Class LengthRange

    java.lang.Object
      |
      +--org.apache.fop.datatypes.LengthRange

Direct Known Subclasses:
  Space

public class LengthRange
extends java.lang.Object
implements CompoundDatatype

a "progression-dimension" quantity ex. block-progression-dimension, inline-progression-dimension corresponds to the triplet min-height, height, max-height (or width)

Constructor Summary
`LengthRange()`

Method Summary
`Property` `getComponent(java.lang.String sCmpnName)`
`Property` `getMaximum()`
`Property` `getMinimum()`
`Property` `getOptimum()`
`void` `setComponent(java.lang.String sCmpnName, Property cmpnValue, boolean bIsDefault)`
`protected void` `setMaximum(Property max, boolean bIsDefault)` Set maximum value to max if it is >= optimum or optimum isn't set.
`protected void` `setMinimum(Property minimum, boolean bIsDefault)` Set minimum value to min.
`protected void` `setOptimum(Property opt, boolean bIsDefault)` Set the optimum value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LengthRange

    public LengthRange()

Method Detail

### setComponent

    public void setComponent(java.lang.String sCmpnName,
                             Property cmpnValue,
                             boolean bIsDefault)

  Specified by:
    setComponent in interface CompoundDatatype

### getComponent

    public Property getComponent(java.lang.String sCmpnName)

  Specified by:
    getComponent in interface CompoundDatatype

### setMinimum

    protected void setMinimum(Property minimum,
                              boolean bIsDefault)

  Set minimum value to min.
  Parameters:
    `min` - A Length value specifying the minimum value for this LengthRange.
    `bIsDefault` - If true, this is set as a "default" value and not a user-specified explicit value.

### setMaximum

    protected void setMaximum(Property max,
                              boolean bIsDefault)

  Set maximum value to max if it is >= optimum or optimum isn't set.
  Parameters:
    `max` - A Length value specifying the maximum value for this
    `bIsDefault` - If true, this is set as a "default" value and not a user-specified explicit value.

### setOptimum

    protected void setOptimum(Property opt,
                              boolean bIsDefault)

  Set the optimum value.
  Parameters:
    `opt` - A Length value specifying the optimum value for this
    `bIsDefault` - If true, this is set as a "default" value and not a user-specified explicit value.

### getMinimum

    public Property getMinimum()

### getMaximum

    public Property getMaximum()

### getOptimum

    public Property getOptimum()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.